Bug 105037 - Patches for ACPI issues on IBM Laptops
Summary: Patches for ACPI issues on IBM Laptops
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL: www.speakeasy.net/~jaboutboul/thinkpad
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-24 20:34 UTC by Jack Aboutboul
Modified: 2007-04-18 16:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-29 01:11:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jack Aboutboul 2003-09-24 20:34:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/85.7 (KHTML, like Gecko) Safari/85

Description of problem:
The pacthes found at the above url should fix the current ACPI issues that are affecting IBM Laptops. ACPI in the kernel currently doesnt detect the embedded controller that IBM is using to control ACPI. This should work with the following models: A31, R40, T30, T40, X31. The patch for this is found at http://www.speakeasy.net/~jaboutboul/thinkpad/acpi-thinkpad-ec-patch.  There is also also a patch for the battery status reading. Some acpi codes use unallocated (or deleted) memory to try and get a reading for the battery. This patch http://www.speakeasy.net/~jaboutboul/thinkpad/acpi-thinkpad-battery-patch should solve this.

Much more information can be found at http://erkki.tty0.org/thinkpad/thinkpad-acpi.html as well as these patches and another patch against 2.6.0-test3 and yet another patch for fixing dsdt AE_AML_REGIONLIMIT on the IBM x31.

Credit to Luming Yu, Shaohua Li from intel and Erik Rigtorp

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Apply patches
2. Build Kernel
3. Voilla!
    

Additional info:

Comment 1 Bill Nottingham 2003-09-25 03:10:00 UTC
What's the latest kernel you've tried? I think this is merged in the current
rawhide kernel.

Comment 2 Jack Aboutboul 2003-09-25 04:40:04 UTC
I havent used the latest rawhide kernel yet. I have either latest stock rh kernel for shrike, 2.4.22/
2.4.22-ac or 2.6.0-test5. I havent tested it against the rh kernel yet only against 2.4.21/2.4.22 
which i patched myself from vanilla sources. I will try the new rawhide kernel now though.

Comment 3 Jack Aboutboul 2003-09-26 17:29:18 UTC
Yes, this seems to have been included in the new kernel. Verified on Fedora Core
test2. Thanks alot!! Such a high quality release. Keep up the great work!!

Comment 4 Jack Aboutboul 2003-09-26 18:43:05 UTC
Actually there is one othe problem that I noticed. Although the ACPI controller
is now detected, the DSDTs are not loaded/available so one cant really use the
acpi functions. This is some stuff from dmesg:

d SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
ACPI: Subsystem revision 20030916
ACPI: Interpreter disabled.
PCI: PCI BIOS revision 2.10 entry at 0xfd8fe, last bus=8
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
PCI: Ignoring BAR0-3 of IDE controller 00:1f.1
Transparent bridge - Intel Corp. 82801BAM/CAM PCI Bridge
PCI: Discovered primary peer bus 09 [IRQ]
PCI: Using IRQ router PIIX/ICH [8086/248c] at 00:1f.0
PCI: Found IRQ 11 for device 00:1f.1
PCI: Sharing IRQ 11 with 00:1d.2
PCI: Sharing IRQ 11 with 02:02.0
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16)
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
Asus Laptop ACPI Extras version 0.24a
  Couldn't get the DSDT table header
  Error registering Asus Laptop ACPI Extras Driver
        -0420: *** Error: Could not allocate an object descriptor
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled


Comment 5 Dave Jones 2003-09-29 01:11:47 UTC
You need to boot with acpi=on if you want to use acpi.
This is in the release notes.



Note You need to log in before you can comment on or make changes to this bug.